Subject: Re: [PATCH v2] Re: WAN: new PPP code for generic HDLC

From: Alan Cox <[email-masked]>
Date: Sat, 12 Apr 2008 11:59:50 +0100

On Sat, 12 Apr 2008 10:10:40 +0200
Krzysztof Halasa <[email-masked]> wrote:

> Andrew Morton <[email-masked]> writes:
> 
> > It never hurts to resend.  It was 6000 patches ago and my mind is a blank.
> 
> Sure, here is it. Some description, well:
> 
> PPP support in generic HDLC in Linux 2.6.25 is broken and will cause
> a kernel panic when a device configured in PPP mode is activated.
> 
> It will be replaced by new PPP implementation after Linux 2.6.25 is
> released.

Thats a pretty bad regression. Surely the correct fix is to revert the
change series that caused the breakage then re-merge that and fixes for
HDLC PPP for 2.6.26, not just leave it broken ?